function love.load()
	math.randomseed(os.time())
	world = love.physics.newWorld(-10, -10, 800, 600)
	world:setGravity(0, 30)

	floor = {}
	GenerateFloor()

	rain = {}

	timer = 0
	text = 0
end

function GenerateFloor()
	local newFloor = {}
	newFloor.body = love.physics.newBody(world, 400, 400, 0, 0)
	newFloor.shape = love.physics.newRectangleShape(newFloor.body, 0, 0, 800, 200)
	table.insert(floor, newFloor)
	newFloor = nil
end

function love.update(dt)
	world:update(dt)
	timer = timer + dt

	if timer > 0.4 then timer = 0; NewRaindrop() end
end

function love.draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.print(timer, 10, 10)
	love.graphics.print(text, 10, 20)

	love.graphics.setColor(145, 62, 0)
	count = 0
	while count < #floor do
		count = count + 1
		love.graphics.rectangle("fill", floor[1].shape:getPoints())
	end

	love.graphics.setColor(152, 188, 218)
	count = 0
	while count < #rain do
		count = count + 1
		love.graphics.circle("fill", rain[count].body:getX(), rain[count].body:getY(), rain[count].shape:getRadius(), 100)
	end
end

function NewRaindrop()
	local newRaindrop = {}
	newRaindrop.body = love.physics.newBody(world, 800*math.random(), 5, 5, 1)
	newRaindrop.shape = love.physics.newCircleShape(newRaindrop.body, 0, 0, 2)
	newRaindrop.shape:setRestitution(0.8)
	rain[#rain+1] = newRaindrop
end

function love.keypressed(key)
	if key == ' ' then
		floor[1].body:destroy()
		table.remove(floor, 1)
		
	end
end